### Method

# GObject Closure ref

#### Declaration [src]

    GClosure*
    g_closure_ref (
      GClosure* closure
    )

#### Description [src]

Increments the reference count on a closure to force it staying alive while the caller holds a pointer to it.

#### Return value

Type: `GClosure`

The `closure` passed in, for convenience.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.